@import url('https://fonts.googleapis.com/css2?family=DM+Sans:opsz,wght@9..40,700&family=Inter:wght@100;200;300;400;500;600;700;800;900&family=Montserrat&display=swap');

$background: #101010;
$white: #FFFFFF;
$DMSans: 'DM Sans', sans-serif;
$Montserrat: Montserrat;

$primaryButton: #7F39DE;
$primaryButtonHover: #9148f8;

body {
    background-color: $background;
    color: $white;

    overflow-x: hidden;
}

.l-container {
    max-width: 1200px;
    margin-inline: auto;

}

.l-navbar {
    font-family: $DMSans;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 36px;

    .l-navbar__nav {
        display: flex;
        gap: 36px;
        font-family: $Montserrat;
        .l-navbar__link {
            text-decoration: none;
            color: $white;
        }
    }
}


.c-button {
    background-color: $primaryButton;
    border-radius: 5px;
    color: $white;

    cursor: pointer;

    padding-inline: 36px;
    padding-block: 17px;

    font-family: $Montserrat;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;

    &:hover {
        background-color: $primaryButtonHover;
    }

}



.l-hero {
    margin-top: 100px;
    width: 100%;
    text-align: center;
    position: relative;

    .l-hero__effects {
        background-image: url('/assets/img/HeroEffects.png');
        background-size: 90%;
        background-repeat: no-repeat;
        background-position: center;
        position: absolute;
        width: 100%;
        height: 334px;

        top: 60%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .l-hero__bg {
        background-image: url('/assets/img/1st\ floor\ 9.png');
        width: 100%;
        height: 270px;
        position: absolute;
    }

    .l-hero__blur {
        position: absolute;
        width: 875px;
        height: 104px;
        flex-shrink: 0;
        opacity: 0.5;
        background: #7F39DE;
        filter: blur(112px);
        top: 60%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .l-hero__title-one {
        color: #FFF;
        text-align: center;
        font-family: DM Sans;
        font-size: 80px;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
        text-transform: uppercase;
    }

    .l-hero__title-two {
        text-align: center;
        font-family: DM Sans;
        font-size: 80px;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
        text-transform: uppercase;

        background: linear-gradient(90deg, #F84883 0%, #818DE3 53.65%, #71AABA 100%);
        background-clip: text;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }
}

.l-hero__description {
    color: $white;
    text-align: center;
    font-family: $DMSans;
    font-size: 24px;
    font-style: normal;
    font-weight: 400;
    line-height: 40px; /* 166.667% */

    margin-block: 3em;
    margin-inline: auto;
    max-width: 1067px;
    height: 154px;
    flex-shrink: 0;
}


.l-effects {
    background-image: url('/assets/img/Effects.png');
    width: 100%;
    height: 1067px;
    position: absolute;
}

.l-image {
    width: 100%;
    border-radius: 20px 20px 0px 0px;
    position: relative;
    overflow: hidden;
    margin-inline: auto;

    margin-top: 200px;
}



.l-banner {
    background-color: $primaryButton;
    padding: 16px;
    text-transform: uppercase;
    letter-spacing: 0.2em;

    color: $white;
    text-align: center;
    font-family: $DMSans;
    font-size: 60px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}




.l-text-image {

    margin-top: 144px;

    position: relative;

    display: flex;
    flex-direction: row;
    align-items: center;
    flex-wrap: wrap;
    gap: 32px;

    &--reverse {
        flex-direction: row-reverse;
    }


    .l-text-image__content {

        max-width: 584px;
        flex: 1;
        .l-text-image__title {
            color: $white;
            font-family: $DMSans;
            font-size: 60px;
            font-style: normal;
            font-weight: 700;
            line-height: normal;
            text-transform: uppercase;

            .l-text-image__title-colored {
                background: linear-gradient(90deg, #F84883 0%, #818DE3 23.65%, #71AABA 100%);
                background-clip: text;
                -webkit-background-clip: text;
                -webkit-text-fill-color: transparent;
            }
        }

        .l-text-image__text {
            color: #FFF;
            font-family: $DMSans;
            font-size: 18px;
            font-style: normal;
            font-weight: 400;
            line-height: 40px; /* 222.222% */
        }

        .l-text-image__buttons {}

    }

    .l-text-image__image {
        img {
            width: 100%;
        }
    }




    .l-text-image__effects {
        border-radius: 447px;
        opacity: 0.5;
        filter: blur(160.5px);
        
        position: absolute;


        width: 447px;
        aspect-ratio: 1;
        &--gray {
            background: #7C9EBD;
            left: -15%;
            top: 10%;
        }
        &--purple {
            background: $primaryButton;
            right: -15%;
            top: 30%;
        }
    }

}



.l-info {
    position: relative;
    margin-top: 120px;
    display: flex;
    gap: 32px;
    flex-direction: column;

    .l-info__effects {

        border-radius: 447px;
        opacity: 0.5;
        filter: blur(160.5px);
        
        position: absolute;


        width: 447px;
        aspect-ratio: 1;

        background: #F74884;
        right: -15%;
        top: 0%;
    }

    .l-info__title {
        color: $white;
        text-align: center;
        font-family: $DMSans;
        font-size: 60px;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
        text-transform: uppercase;

        span {
            background: linear-gradient(90deg, #F84883 0%, #818DE3 53.65%, #71AABA 100%);
            background-clip: text;
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
        }
    }

    .l-info__description {
        max-width: 937px;
        color: $white;
        margin-inline: auto;
        text-align: center;
        font-family: $DMSans;
        font-size: 18px;
        font-style: normal;
        font-weight: 400;
        line-height: 40px; /* 222.222% */
    }

    // .l-info__image {
    //     width: 100%;
    //     margin-inline: auto;
    //     border-radius: 20px;
    //     overflow: hidden;
    // }

}

.l-integration {
    margin-top: 90px;
    padding-block: 120px;
    position: relative;
    overflow: hidden;

    .l-integration__effects {
        width: 541px;
        height: 541px;
        border-radius: 541px;
        opacity: 0.5;
        background: $primaryButton;
        filter: blur(195.5px);
        position: absolute;
        left: -15%;
    }

    background-color: #0D0D0D;
    .l-integration__banner {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        gap: 75px;
    
        .l-integration__banner-title {
            flex: 1;
    
            color: $white;
            font-family: $DMSans;
            font-size: 60px;
            font-style: normal;
            font-weight: 700;
            line-height: normal;
            text-transform: uppercase;
    
            span {
                background: linear-gradient(90deg, #F84883 0%, #818DE3 53.65%, #71AABA 100%);
                background-clip: text;
                -webkit-background-clip: text;
                -webkit-text-fill-color: transparent;
            }
        }
    
    
        .l-integration__banner-text {
            color: $white;
            text-align: right;
            font-family: $DMSans;
            font-size: 18px;
            font-style: normal;
            font-weight: 400;
            line-height: 40px; /* 222.222% */
            max-width: 584px;
        }
    }
}




.l-footer {
    background: #1A1A1A;
    padding-block: 110px;

    //untill logo
    h1 {
        font-family: $DMSans;
    }

    .l-footer__content {
        display: flex;
        flex-wrap: wrap;
        gap: 101px;

        .l-footer__item {
            display: flex;
            flex-direction: column;
            gap: 20px;

            .l-footer__title {
                color: #D3D3D3;
                font-family: $DMSans;
                font-size: 18px;
                font-style: normal;
                font-weight: 500;
                line-height: 25px; /* 138.889% */
            }

            .l-footer__info {
                max-width: 275px;
                color: $white;
                font-family: $DMSans;
                font-size: 25px;
                font-style: normal;
                font-weight: 400;
                line-height: 38px; /* 152% */

                .l-footer__social-list {
                    display: flex;
                    gap: 32px;
                    list-style: none;
                    padding: 0;
                    margin: 0;
                }

            }

        }

    }

}